E-Invoice & E-WayBills

Close E-Waybill

This API is used to close ewayBill.

URL

POST https://cloud.octagst.com/api/octa/einvoice/closeewb?gstin={value}

Query Parameters

NameDescription
gstinIt specifies GSTIN of seller

Request Payload

Structure

ParameterData TypeTypeDescription
ewbNoString(20)Mandatorye-Waybill number
closureDateString(1)Mandatorye-Waybill closure date
DD/MM/YYYY
remarksString(100)MandatoryReason for closing eway bill

Sample

{
  "ewbNo": "791008693652",
  "closureDate": "21/07/2026",
  "remarks": "Material delivered "
}

Response Payload

Success

Response payload will contain the success status.

ParameterData TypeDescription
SuccessBooleantrue in case of success
ClosureAckTimeStringe-Waybill closure acknowledgement time
DD/MM/YYYY HH:MM:SS
{
  "Success": true,
  "ClosureAckTime": "21/07/20206 09:34:11"
}

Failure

If API request fails for some reason, response payload will contain the failure status and a list of errors.

{
  "Success": false,
  "Errors": [
    {
      "Code": "ERR_CODE_1",
      "Message": "ERR MESSAGE 1"
    },
    {
      "Code": "ERR_CODE_n",
      "Message": "ERR MESSAGE n"
    }
  ]
}